from django.conf.urls.defaults import *
from hello_view import *
from demo_views import *

urlpatterns = patterns(
    '',
    # Example:
    # (r'^mysite/', include('mysite.foo.urls')),
    (r'^greet/$', hello),                # page 28
    (r'^clock/$', plaintext_time),       # page 30
    (r'^error404/$', hello_error),       # page 30
    (r'^error403/$', forbidden_page),    # page 30
    (r'^redirect_gmap/$', redirect_to_googlemap, {'latitude': 35, 'longitude': 135}),                                   # page 30
    (r'^yourip/$', your_ip_address),     # page 31
    (r'^formdata/$', greet_with_form_data),          # page 32
    (r'^reversed/(?P<bit>.*)/$', reverse_url_bit),   # page 32
    (r'^sum/(\d+)/(\d+)/$', url_sum),    # page 33
    (r'^template_from_str/$', show_metadata),        # page 36
    (r'^template_from_file/$', show_metadata_with_load_template),  # page 37
    # Uncomment this for admin:
    #     (r'^admin/', include('django.contrib.admin.urls')),
)
