from django.conf.urls.defaults import *
from mysite.todo.views import *

urlpatterns = patterns('',
    # Example:
    # (r'^mysite/', include('mysite.foo.urls')),
    ('^todo/categorized/$', show_categorized_list),
    ('^todo/search/$', search_todo),
    ('^todo/add/$', add_new_todo),
    ('^todo/edit/(?P<todo_id>\d+)/$', edit_todo),
    ('^todo/updated/(?P<todo_id>\d+)/$', todo_updated),
    # Uncomment this for admin:
    (r'^admin/', include('django.contrib.admin.urls')),
)
