# encoding=utf8

from django.conf.urls.defaults import *

from memo.models import Memo

urlpatterns = patterns('',)

memo_list = Memo.objects.order_by('-id')

# メモの一覧を表示する URL
urlpatterns += patterns('django.views.generic.list_detail',
    (r'^$', 'object_list', {'queryset': memo_list}),
)

# メモ情報をクライアントからサーバへ送る URL
urlpatterns += patterns('ajax_sample.memo.views',
    (r'^create/$', 'create_memo'),
)
