# -*- encoding:utf-8 -*-
from django.db import models
from django.contrib.contenttypes.models import ContentType 
from django.contrib.contenttypes import generic
from datetime import datetime

class Comment(models.Model):
    object_id = models.PositiveIntegerField()
    content_type = models.ForeignKey(ContentType)
    body = models.TextField()

    content_object = generic.GenericForeignKey()
