from django.http import HttpResponse
from django.shortcuts import *
from django.template import Context,loader

def index(request, id=None):
  t = loader.get_template('app/index.html')
  c = Context()
  return HttpResponse(t.render(c))

def loader_test(request):
  return render_to_response('app/index.html', {})

def whoareyou(request, id=None):
    t = loader.get_template('app/mynameis.html')
    c = Context({'name':'John'})
    return HttpResponse(t.render(c))

from django.http import HttpResponse
from django.template import Context,loader

class Person():
    pass

def whoareyou_person(request, id=None):
    t = loader.get_template('app/mynameis_person.html')
    person = Person()
    person.name = 'John'
    c = Context({'person': person})
    return HttpResponse(t.render(c))

from django.http import HttpResponse
from django.template import Context,loader

def whoareyouall(request, id=None):
    t = loader.get_template('app/whoareyouall.html')
    person_list= ['John', 'Adrian']
    c = Context({'person_list': person_list})
    return HttpResponse(t.render(c))

def xss_demo(request, template_name):
    """
    http://localhost:8000/app/xss_demo/app/xss_demo_1.html
    http://localhost:8000/app/xss_demo/app/xss_demo_2.html
    http://localhost:8000/app/xss_demo/app/xss_demo_3.html
    http://localhost:8000/app/xss_demo/app/xss_demo_4.html
    """
    c = Context(dict(
      data=u"<script>alert('data!')</script>",
      name=u"<script>alert('name!')</script>",
      user_name=u"<script>alert('user_name!')</script>"))
    return render_to_response(template_name, c)

def escape_demo(request, template_name):
    """
    http://localhost:8000/app/escape_demo/app/escape_demo_1.html
    """
    c = Context()
    return render_to_response(template_name, c)

class Entry:
    def __init__(self, title, body):
        self.title = title
        self.body = body
        
def inheritance_demo(request, template_name):
    """
    http://localhost:8000/app/inheritance_demo/base.html
    http://localhost:8000/app/inheritance_demo/child.html
    """
    c = Context(dict(
      blog_entries=[
        Entry('Entry one', 'This is my first entry.'),
        Entry('Entry two', 'This is my second entry.'),]
      ))
    return render_to_response(template_name, c)

from datetime import datetime
def filter_demo(request, template_name=None):
    """
    http://localhost:8000/app/filter_demo/app/filter_demo_1.html
    http://localhost:8000/app/filter_demo/app/filter_demo_2.html
    http://localhost:8000/app/filter_demo/app/filter_demo_3.html
    http://localhost:8000/app/filter_demo/app/filter_demo_4.html
    http://localhost:8000/app/filter_demo/app/filter_demo_5.html
    http://localhost:8000/app/filter_demo/app/filter_demo_6.html
    http://localhost:8000/app/filter_demo/app/filter_demo_7.html
    """
    class BlogEntry:
      pass
    blog_entry = BlogEntry()
    blog_entry.date_updated = datetime.now()
    c = Context(dict(
      somevariable = 'wAhAhA',
      anothervariable = "wAhAhA<script>alert('!')</script>",
      blog_entry = blog_entry,
      ))
    return render_to_response(template_name, c)

