# -*- encoding:utf-8 -*-
from django.db import models
from django.contrib.auth.models import User
class UserFlank(models.Model):
    interest = models.CharField(u'趣味', max_length=50, blank=True, core=True)
    nickname = models.CharField(u'渾名', max_length=20, blank=True, core=True)
    user = models.ForeignKey(User, unique=True, edit_inline=models.STACKED,
                         num_in_admin=1, min_num_in_admin=1,
                         max_num_in_admin=1, num_extra_on_change=0)
    class Admin: pass

class Employee(models.Model):
  class Meta: 
    permissions = ( 
        ("can_view", "Can View"),  #タプルで複数のカスタムパーミッションを定義できます
    ) 
  def pre_save(self):
    print 'PRE\n' * 10

  def post_save(self, created):
    print 'POST\n' * 10