# Create your views here.
from django.contrib.auth import authenticate, login 
from django.contrib.auth import logout 
def auth_and_login(request): 
    username = request.POST.get('username', None)
    password = request.POST.get('password', None)
    user = authenticate(username=username, password=password) 
    if user is not None: 
        if user.is_active: 
            login(request, user)
            #正常に認証、ログインできました
        else: 
            #アカウントが無効でした
    else: 
        #認証できませんでした

def logout_view(request): 
    logout(request) 
    #セッションから不要な値を削除する

def need_login_view(request):
    if not request.user.is_authenticated():
        #認証されていない。たとえばログイン画面へリダイレクトする

def need_permission_view(request):
    if not request.user.has_perm('some.permission'):
