from django.db import models

class SomeModel(models.Model):
    name     = models.CharField(max_length=100)
    creation = models.DateField()
    other     = models.CharField(max_length=200)
    
    def some_func(self):
        return u'<strong>%s</strong>' % (self.name, )
    some_func.allow_tags = True
    some_func.admin_order_field = 'name'
    
    class Admin:
        list_display = ('some_func', 'creation')
